<template>
  <div class="form-upload">
    <input type="file" @change="previewFile()" /><br />
    <img :src="imageUrl" height="200" alt="Image preview..." />
  </div>
</template>

<script>
export default {
  name: 'Formupload',
  data () {
    return {
      imageUrl: ''
    };
  },
  methods: {
    beforeAvatarUpload (file) {
      const isJPG = file.type === 'image/jpeg' || file.type === 'image/png';
      const isLt2M = file.size / 1024 / 1024 < 2;

      if (!isJPG) {
        this.$message.error('上传头像图片只能是 JPG或者PNG 格式!');
        return
      }
      if (!isLt2M) {
        this.$message.error('上传头像图片大小不能超过 2MB!');
        return
      }
      return isJPG && isLt2M;
    },
    previewFile () {
      const that = this
      const file = document.querySelector("input[type=file]").files[0]
      const reader = new FileReader()
      if (file) {
        if (!this.beforeAvatarUpload(file)) return
        reader.readAsDataURL(file)
        reader.onload = function (e) {
          that.imageUrl = this.result
        }
      }
    }
  }
}
</script>

<style>
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 178px;
  height: 178px;
  line-height: 178px;
  text-align: center;
}
.avatar {
  width: 178px;
  height: 178px;
  display: block;
}
</style>